System Requirements

The following configurations are supported for WebWorks ePublisher.

Recommended

  • For Desktop use, either of:
    • Microsoft Windows 7 SP1
    • Microsoft Windows 8
    • Microsoft Windows 8.1
    • Microsoft Windows 10
  • For Server use, either of:
    • Microsoft Windows Server 2008 R2 SP1
    • Microsoft Windows Server 2012
    • Microsoft Windows Server 2012 (64-bit)
    • Microsoft Windows Server 2012 R2
    • Microsoft Windows Server 2016
  • Microsoft .NET 4.6.1
  • Browser(s) with JavaScript enabled, any of:

    • Microsoft Internet Explorer 9+
    • Mozilla Firefox 3+
    • Apple Safari 4+
    • Google Chrome 1+
  • Authoring Environment(s), any of:

    • Adobe FrameMaker 2017
    • Adobe FrameMaker 2015
    • Adobe FrameMaker 12
    • Adobe FrameMaker 11
    • Adobe FrameMaker 10
    • Adobe FrameMaker 9 (deprecated)
    • Microsoft Word 2016
    • Microsoft Word 2013
    • Microsoft Word 2010
    • Microsoft Word 2007 (deprecated)
    • XML Editing Solutions (DITA-XML)
    • WebWorks Markdown
  • 2 GB or more RAM
  • 2 GHz or better processor

Deprecated Support

Support for the following products is deprecated as of the ePublisher 2017.1 release. This means that the use of these tools/environments is fully support in the ePublisher 2017.1 release. However, future ePublisher releases may not operate with these tools/environments.

  • Authoring Environments
    • Adobe FrameMaker 9
    • Microsoft Word 2007
  • Runtimes
    • DITA-OT 1.4 (DITA Open Toolkit 1.4)
  • Operating Systems
    • Microsoft Windows Server 2008 R2 SP1